import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:pmu/domain/models/card.dart';

class DetailsPage extends StatelessWidget {
  final MarketData meals;

  const DetailsPage(this.meals, {super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Color(0xFFFFA400),
      ),
      body: SingleChildScrollView(
        child: Container(
          constraints: BoxConstraints(
              minHeight: MediaQuery.sizeOf(context).height - 105),
          decoration: const BoxDecoration(
            color: Color(0xFFFFA400),
          ),
          padding: const EdgeInsets.all(10),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Padding(
                padding: const EdgeInsets.only(bottom: 16.0),
                child: Image.network(meals.imageUrl ?? ''),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
